## network-manager 1.2.2

=== debian/changelog ===
network-manager (1.2.2-1tanglu3) staging; urgency=medium

  * No-change rebuild against libgnutls30.

 -- Matthias Klumpp <mak@debian.org>  Mon, 30 May 2016 00:20:55 +0200

network-manager (1.2.2-1tanglu2) staging; urgency=medium

  * No-change rebuild against libgnutls30.

 -- Tanglu AutoRebuilder <dak-rebuild@ftp-master.tanglu.org>  Tue, 24 May 2016 17:07:39 +0200

network-manager (1.2.2-1tanglu1) staging; urgency=medium

  * Merge with Debian testing, remaining change:
    - Recommend pppoe instead of ppp (TT: #123)

 -- Matthias Klumpp <mak@debian.org>  Sun, 22 May 2016 18:07:44 +0200

network-manager (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 18:20:31 +0200

network-manager (1.2.0-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Enable SELinux support, this allows NM to properly set labels on the
    hostname files.
  * Enable audit support

  [ Michael Biebl ]
  * New upstream release (Closes: #822294).
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Apr 2016 15:09:49 +0200

network-manager (1.1.94-1) unstable; urgency=medium

  * New upstream release. (1.2 rc2).
  * Rebase patches.
  * Update debian/copyright, add new section for documentation which is
    licensed under the GFDL.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Apr 2016 18:08:32 +0200

network-manager (1.1.93-1) unstable; urgency=medium

  * New upstream release (1.2 rc1).
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Apr 2016 00:59:50 +0200

network-manager (1.1.92-1) unstable; urgency=medium

  * New upstream release (1.2 beta3).
  * Rebase patches.
  * Set the udev directory to /lib/udev via the new --with-udev-dir= configure
    switch.
  * Update symbols file for libnm-util2 and libnm0.
  * Add versioned Build-Depends on dpkg-dev (>= 1.17.14) for <!nocheck>
    support.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 Mar 2016 21:31:29 +0200

network-manager (1.1.91-3) unstable; urgency=medium

  * Bump Build-Depends on debhelper to (>= 9.20160114) for
    "--dbgsym-migration" support.

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Mar 2016 21:14:41 +0100

network-manager (1.1.91-2) unstable; urgency=medium

  * Skip the test suite if "nocheck" is set via DEB_BUILD_OPTIONS.
  * Mark the Build-Depends which are required to run the test suite with
    <!nocheck>.
  * Use the architecture.mk Makefile snippet provided by dpkg-dev to retrieve
    DEB_HOST_MULTIARCH.
  * Ensure proper upgrade from network-manager-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration.
  * Add a hack for wext devices reporting IW_MODE_AUTO configuration mode.
    Patch cherry-picked from upstream Git. (Closes: #817115)

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Mar 2016 21:03:20 +0100

network-manager (1.1.91-1) unstable; urgency=medium

  * New upstream release (1.2 beta2).
  * Rebase patches.
  * Update symbols file for libnm0.
  * Ship /etc/NetworkManager/dnsmasq.d/ directory which can be used to extend
    the dnsmasq local caching nameserver config.
  * Ship /etc/NetworkManager/dnsmasq-shared.d/ directory which can be used to
    extend the dnsmasq configuration for shared connections.
  * Fix bashism in tools/run-test-dbus-session.sh.
  * Dump the contents of test-suite.log to stdout when the test suite fails.

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Mar 2016 20:42:24 +0100

network-manager (1.1.90-6) unstable; urgency=medium

  * Fix NMSettingVxlan ageing and limit max values to be G_MAXUINT32.
    Patch cherry-picked from upstream Git. (Closes: #813739)

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Feb 2016 02:51:20 +0100

network-manager (1.1.90-5) unstable; urgency=medium

  * Clean up error paths in dns-manager.
    Specifically for resolvconf, if the write succeeded, but the pclose()
    failed, error would be left NULL and SR_ERROR would be returned, which
    caused a crash in nm_dns_manager_end_updates().
    Patch cherry-picked from upstream Git. (Closes: #813803)

 -- Michael Biebl <biebl@debian.org>  Fri, 05 Feb 2016 20:12:47 +0100

network-manager (1.1.90-4) unstable; urgency=medium

  * Upload to unstable.
  * Drop dbg package now that we have automatic dbgsym packages.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Feb 2016 05:54:47 +0100

network-manager (1.1.90-3) experimental; urgency=medium

  * Add chroot capability to systemd service file. Needed for running openvpn.
    Patch cherry-picked from upstream Git.
  * Use bash when running the tests for nm_utils_kill_child. The trap handling
    in dash seems to have issues, see #390433.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Jan 2016 22:25:51 +0100

network-manager (1.1.90-2) experimental; urgency=medium

  * Update debian/copyright.
  * Clean up obsolete /etc/dbus-1/system.d/nm-avahi-autoipd.conf conffile on
    upgrades.
  * Use dbus-run-session instead of dbus-launch within the test suite.
  * Run test suite during build. This requires a build dependency on
    python-gi, python-dbus and dbus (for dbus-run-session).

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Jan 2016 23:23:46 +0100

network-manager (1.1.90-1) experimental; urgency=medium

  * New upstream release (1.2 beta1).
  * Explicitly enable nmcli.
  * Set the path to the dnssec-trigger-script via the configure switch.
  * Rebase patches.
  * Drop dependency on avahi-autoipd. Native IPv4 link-local addressing
    configuration based on systemd network library is now used instead.
  * Restore export of nm_vpn_plugin_old_* symbols. Patch cherry-picked from
    upstream Git.
  * Update symbols files for libnm-glib4, libnm-util2 and libnm0.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jan 2016 21:56:36 +0100

network-manager (1.0.10-2) unstable; urgency=medium

  * Fix failure to configure routes due to wrong device-route for IPv4

