=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)

%:
	dh $@ --with gir,systemd,autoreconf,ppp

autoreconf:
	gtkdocize --copy
	autopoint --force
	AUTOPOINT='intltoolize --automake --copy' autoreconf --verbose --force --install

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
		--with-pppd=/usr/sbin/pppd \
		--with-resolvconf=/sbin/resolvconf \
		--with-dhclient=/sbin/dhclient \
		--with-iptables=/sbin/iptables \
		--with-dnsmasq=/usr/sbin/dnsmasq \
		--with-dnssec-trigger=/usr/lib/dnssec-trigger/dnssec-trigger-script \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-udev-dir=/lib/udev \
		--with-crypto=gnutls \
		--with-session-tracking=systemd \
		--with-suspend-resume=systemd \
		--with-modem-manager-1 \
		--with-nmtui \
		--with-nmcli \
		--disable-more-warnings \
		--disable-modify-system \
		--enable-polkit \
		--enable-polkit-agent \
		--enable-ppp \
		--enable-ifupdown \
		--enable-config-plugin-ibft \
		--enable-introspection \
		--enable-gtk-doc \
		--enable-concheck \
		--enable-teamdctl \
		--enable-bluez5-dun \
		--with-selinux=yes \
		--with-libaudit=yes

override_dh_install:
	dh_install -X.la --list-missing
	install -m 755 debian/network-manager-dispatcher.script \
		debian/network-manager/etc/NetworkManager/dispatcher.d/01ifupdown
	install -m 755 debian/ifblacklist_migrate.sh \
		debian/network-manager/usr/lib/NetworkManager

override_dh_installinit:
	dh_installinit -pnetwork-manager --restart-after-upgrade

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

override_dh_strip:
	dh_strip --dbgsym-migration='network-manager-dbg (<< 1.1.91-2~)'

override_dh_systemd_enable:
	dh_systemd_enable -pnetwork-manager NetworkManager-dispatcher.service
	dh_systemd_enable -pnetwork-manager --no-enable NetworkManager-wait-online.service
	dh_systemd_enable -pnetwork-manager NetworkManager.service

override_dh_systemd_start:
	dh_link lib/systemd/system/NetworkManager.service \
		lib/systemd/system/network-manager.service
	dh_systemd_start -pnetwork-manager --no-start NetworkManager-dispatcher.service
	dh_systemd_start -pnetwork-manager --no-start NetworkManager-wait-online.service
	dh_systemd_start -pnetwork-manager --restart-after-upgrade NetworkManager.service

override_dh_ppp:
	dh_ppp --breaks

override_dh_auto_test:
ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
	make check || ( find . -name test-suite.log -exec cat {} \;; exit 1; )
endif
