## network-manager 1.2.4

=== debian/changelog ===
network-manager (1.2.4-0ubuntu1) yakkety; urgency=medium

  [ Aron Xu ]
  * Imported Upstream version 1.2.4
  * Update patches for new upstream release:
    - Filter-DNS-servers-to-add-to-dnsmasq-based-on-availa.patch: not needed
    - Order-IPv6-nameservers-before-IPv4-for-dns-plugins-d.patch: not needed
    - libnm-don-t-require-initialized-out_encrypted-argume.patch: merged upstream
    - cli-initialize-connection-list-in-do_device_connect.patch: merged upstream
    - rename due to gbp-pq:
      Don-t-block-network.target-on-NetworkManager-wait-on.patch =>
      systemd-Don-t-enable-NetworkManager-wait-online.serv.patch
    - post-release cherry-picks:
      - wifi-clear-WiFi-requested_scan-if-suppl-exits.patch
      - wifi-clear-WiFi-requested_scan-if-suppl-goes-INACTIV.patch
    - refreshed remaining ones

  [ Martin Pitt ]
  * debian/tests/wpa-dhclient: Don't assume that the IPv6 prefix length from
    the DHCP server is /64. (LP: #1609898)
  * debian/tests/*rfkill*: Load fake-rfkill.ko's dependencies before trying to
    insserv it. (LP: #1626568)
  * debian/tests/killswitches-no-urfkill: Make the script work with set -e, so
    that we don't try to run tests after compile errors.
  * Switch back to dns=dnsmasq for Ubuntu 16.10. We still don't have a DNS
    plugin for resolved, and don't want to break domain-specific DNS servers
    for the final release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Sep 2016 08:16:12 +0200

network-manager (1.2.2-0ubuntu8) yakkety; urgency=medium

  * network-manager.postinst: Don't create
    /etc/NetworkManager/conf.d/10-globally-managed-devices.conf override on
    new installations. We don't want NM to manage non-wifi/wwan on
    servers/cloud instances, and for desktops live-build now installs a
    netplan policy snippet to let NM handle all devices.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Aug 2016 08:42:16 +0200

network-manager (1.2.2-0ubuntu7) yakkety; urgency=medium

  [ Martin Pitt ]
  * debian/NetworkManager.conf: Re-Drop "dns=dnsmasq" option again, resolved
    now does DNS requests on port 53 so that chrome and other NSS deniers
    work.
  * debian/network-manager.postinst: Fix conf.d path with mkdir.
  * Make /run/NetworkManager/conf.d/* files override corresponding ones in
    /usr/lib/. (LP: #1614043)
  * Move libgnutls-dev build dependency (which does not exist any more) to
    libgnutls28-dev.

  [ Aron Xu ]
  * Fix invalid nmcli options in bug report script (LP: #1582803)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Aug 2016 12:55:29 +0200

network-manager (1.2.2-0ubuntu6) yakkety; urgency=medium

  * Make connection list available to some nmc_secrets_requested() calls 
    (LP: #1595707)
  * Make Read-connections-from-run.patch gbp-pq friendly

 -- Aron Xu <happyaron@ubuntu.com>  Tue, 28 Jun 2016 12:38:09 +0800

network-manager (1.2.2-0ubuntu5) yakkety; urgency=medium

  * debian/tests/{network_test_base.py,nm}: Unblacklist the client test veth device
    from NetworkManager and re-enable the three tests to auto-connect to
    Ethernet interfaces.
  * Add Read-connections-from-run.patch: Read system-connections from /run.
    Like with the corresponding conf.d/, files in /etc/ trump files in /run.
    (LP: #1594551)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Jun 2016 21:49:04 +0200

network-manager (1.2.2-0ubuntu4) yakkety; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/libnm-Check-self-still-NMManager-or-not.patch: updated and
    refreshed to make gbp pq happy.
  * debian/patches/Read-config-from-run.patch: also read configuration from
    /run, which is to override whatever might be shipped in /usr/lib; and be
    overriden by /etc or command-line arguments. (LP: #1591898)
  * debian/10-globally-managed-devices.conf: ship a default config to
    explicitly unmanage anything that is not wifi or wwan: we definitely want
    NM to manage wifi and mobile data; and probably don't want it to touch
    wired in many cases.
  * debian/network-manager.postinst: on upgrade from previous versions of NM,
    make sure we migrate from no global "unmanaged" policy to something
    equivalent where we may have a global policy, but explicitly override it
    to be disabled; so that on upgrade users do not suddenly see some of their
    network devices no longer being handled by NM.
  * debian/patches/dns-manager-don-t-merge-split-DNS-search-domains.patch: do
    not add split DNS search domains to resolv.conf; doing so would risk
    leaking names to non-VPN DNS nameservers when attempting to resolve non-
    FQDN names. (LP: #1592721)

  [ Martin Pitt ]
  * debian/NetworkManager.conf: Put back dns=dnsmasq for now. Some important
    applications such as Chrome don't use NSS but reimplement DNS resolution,
    for those we need a local DNS server. Until resolved gets one, we continue
    to use the NM specific dnsmasq on the desktop. Correspondingly, revert
    libnss-resolve recommends back to dnsmasq-base depends.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 16 Jun 2016 09:54:02 +0300

network-manager (1.2.2-0ubuntu3) yakkety; urgency=medium

  * debian/NetworkManager.conf: Drop "dns=dnsmasq" option, so that NM stops
    setting up its own local resolver, and let resolved take over instead.
    Drop dnsmasq-base dependency, and add libnss-resolve recommends.
    [UbuntuSpec:foundations-y-local-resolver]
  * Drop debian/tests/dnsmasq. It got disabled long ago as it doesn't work on
    production CI, and is now completely irrelevant.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 30 May 2016 09:48:59 +0200

network-manager (1.2.2-0ubuntu2) yakkety; urgency=medium

  * debian/patches/libnm-Check-self-still-NMManager-or-not.patch: Avoid the
    crash of network-manager-applet. (LP: #1582301)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Wed, 18 May 2016 17:27:42 +0800

network-manager (1.2.2-0ubuntu1) yakkety; urgency=medium


