=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Dev Team <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 9.20160114),
+Build-Depends: debhelper (>= 9),
                dh-systemd (>= 1.14),
                dh-autoreconf,
-               dpkg-dev (>= 1.17.14),
                pkg-config,
                intltool,
                libdbus-glib-1-dev (>= 0.100),
@@ -19,9 +19,8 @@
                ppp-dev (>= 2.4.7-1+1),
                libpolkit-gobject-1-dev,
                libpolkit-agent-1-dev (>= 0.97),
-               libselinux1-dev,
-               libaudit-dev,
-               libgnutls28-dev (>= 2.12),
+               libgnutls28-dev,
+               libgcrypt20-dev,
                uuid-dev,
                systemd (>= 185),
                libsystemd-dev (>= 209),
@@ -38,15 +37,16 @@
                libndp-dev,
                libreadline-dev,
                libnewt-dev (>= 0.52.15),
-               libteam-dev (>= 1.9),
                libbluetooth-dev (>= 5),
                dbus <!nocheck>,
                python-gi <!nocheck>,
+               valac (>= 0.17.1.24),
+               dbus-test-runner,
                python-dbus <!nocheck>
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-utopia/network-manager.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/network-manager.git
+Standards-Version: 3.9.7
+Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
+XS-Testsuite: autopkgtest
 
 Package: network-manager
 Architecture: linux-any
@@ -58,17 +58,29 @@
          dbus (>= 1.1.2),
          udev,
          adduser,
-         isc-dhcp-client (>= 4.1.1-P1-4),
+         isc-dhcp-client (>= 4.3.1-5ubuntu1),
          libpam-systemd,
-         policykit-1
-Recommends: pppoe,
-            dnsmasq-base,
+         policykit-1,
+         dnsmasq-base,
+Recommends: ppp (>= 2.4.6),
             iptables,
             modemmanager,
             crda,
-            iputils-arping
-Suggests: libteam-utils
-Breaks: ${misc:Breaks}
+            iputils-arping,
+            network-manager-pptp,
+            network-manager-gnome | plasma-widget-networkmanagement | plasma-nm,
+            modemmanager | ofono,
+Suggests: avahi-autoipd,
+          python,
+Breaks: network-manager-gnome (<< 0.9),
+        network-manager-openvpn (<< 0.9),
+        network-manager-vpnc (<< 0.9),
+        network-manager-pptp (<< 0.9),
+        network-manager-openconnect (<< 0.9),
+        network-manager-kde (<< 1:0.9),
+        plasma-widget-networkmanagement (<< 0.9~),
+        ppp (<< 2.4.6)
+Conflicts: connman
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
@@ -80,13 +92,9 @@
  interact with NetworkManager.
  .
  Optional dependencies:
-  * pppoe: Required for establishing dial-up connections (e.g. via GSM).
-  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
-    connection sharing.
+  * ppp: Required for establishing dial-up connections (e.g. via GSM).
+  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
     address configuration.
-  * libteam-utils: Network Team driver allows multiple network interfaces to be
-    teamed together and act like a single one. This process is called "ethernet
-    bonding", "channel teaming" or "link aggregation".
 
 Package: network-manager-dev
 Section: devel
