## network-manager 1.2.6

=== debian/changelog ===
network-manager (1.2.6-0ubuntu0.16.04.4) xenial; urgency=medium

  * d/t/nm:
    - Add gi.require_version() calls for NetworkManager and NMClient
      to avoid stderr output which fails the test. (LP: #1825946)
  * d/t/killswitches-no-urfkill, d/t/urfkill-integration,
    d/t/wpa-dhclient, d/t/nm, d/t/control:
    - skip tests on s390 due to missing wireless kernel support
      (LP: #1855009)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 04 Dec 2019 12:17:37 -0500

network-manager (1.2.6-0ubuntu0.16.04.3) xenial-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in dhcp6 client
    - debian/patches/CVE-2018-15688.patch: make sure we have enough space
      for the DHCP6 option header in
      src/systemd/src/libsystemd-network/dhcp6-option.c.
    - CVE-2018-15688

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Nov 2018 15:06:42 -0400

network-manager (1.2.6-0ubuntu0.16.04.2) xenial; urgency=medium

  * Fix nm-dhcp-helper DBus Event/Notify race condition (LP: #1696415)

 -- Ray Link <rlink+launchpad@cs.cmu.edu>  Thu, 19 Oct 2017 13:53:52 -0400

network-manager (1.2.6-0ubuntu0.16.04.1) xenial; urgency=medium

  * Rebase to upstream 1.2.6 release (LP: #1645698)
  * debian/rules: allow parallel building (copied from yakkety)
  * Dropped patch that was included in new release:
    - manager-fix-state-transition-on-resuming-from-sleep.patch
  * Restored Don-t-block-network.target-on-NetworkManager-wait-on.patch
    - This patch makes it easy to disable the service by tweaking the
      service file. The patch had been dropped because it didn't seem
      useful any more, but it was later re-introduced to both Debian and
      Ubuntu 16.10.
  * Refresh remaining patches

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 12 Jan 2017 00:50:50 +0800

network-manager (1.2.4-0ubuntu0.16.04.1) xenial; urgency=medium

  * Rebase to upstream 1.2.4 release (LP: #1645698)
  * Patches merged upstream and dropped:
    - 0001-dns-use-DBus-to-make-dnsmasq-nameserver-changes.patch
    - Debian-specific-tweaks-for-NetworkManager-systemd-se.patch
    - Don-t-block-network.target-on-NetworkManager-wait-on.patch
    - cli-initialize-connection-list-in-do_device_connect.patch
    - dnsmasq-vpn-dns-filtering.patch
    - dont_mangle_bridges.patch
    - libnm-don-t-require-initialized-out_encrypted-argume.patch
    - lp1461593-add-modem-reconnect-delay-to-policy.patch
    - lp1574347-re-read-link-type-if-the-name-changed.diff
    - lp936712_dnsmasq_ip6_ns_ordering.patch
  * Patches added:
    - manager-fix-state-transition-on-resuming-from-sleep.patch
      Fix state transition on resuming from sleep so we don't end up with
      unmanaged devices. (cherry-pick of upstream git)
  * Refreshed and updated remaining ones.

 -- Aron Xu <happyaron@ubuntu.com>  Sun, 04 Dec 2016 18:09:41 +0800

network-manager (1.2.2-0ubuntu0.16.04.3) xenial; urgency=medium

  * debian/tests/wpa-dhclient: Don't assume that the IPv6 prefix length from
    the DHCP server is /64. (LP: #1609898)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Sep 2016 16:29:22 +0200

network-manager (1.2.2-0ubuntu0.16.04.2) xenial; urgency=medium

  [ Martin Pitt ]
  * Read config and system connections from /run/NetworkManager/ to support
    netplan (LP: #1627641)
  * debian/gbp.conf: Set debian-branch to xenial

  [ Mathieu Trudel-Lapierre ]
  * Add dns-manager-don-t-merge-split-DNS-search-domains.patch: do not add
    split DNS search domains to resolv.conf; doing so would risk leaking names
    to non-VPN DNS nameservers when attempting to resolve non- FQDN names.
    (LP: #1592721)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Sep 2016 10:33:54 +0200

network-manager (1.2.2-0ubuntu0.16.04.1) xenial; urgency=medium

  * Rebase to upstream 1.2.2 release, patches: (LP: #1589557)
    - dnsmasq-vpn-dns-filtering.patch: updated
    - nm-change-dnsmasq-parameters.diff: updated
    - 0001-dns-use-DBus-to-make-dnsmasq-nameserver-changes.patch: dropped
    - lp1574347-re-read-link-type-if-the-name-changed.diff: dropped
    - libnm-Check-self-still-NMManager-or-not.patch: (LP: #1582301)
    - libnm-don-t-require-initialized-out_encrypted-argume.patch:
      (LP: #1575614)

 -- Aron Xu <happyaron@ubuntu.com>  Sat, 04 Jun 2016 18:27:47 +0800

network-manager (1.2.0-0ubuntu0.16.04.3) xenial; urgency=medium

  * cli-initialize-connection-list-in-do_device_connect.patch:
    Make sure connection list available for nmc_secrets_requested().
    (LP: #1595707).
  * Removing default_powersave_on.patch, and instead install config
    file that accomplishes the same (LP: #1557026)
  * Fix invalid nmcli option in bug report script
    debian/source_network-manager.py (LP: #1582803)

 -- Aron Xu <happyaron@ubuntu.com>  Tue, 05 Jul 2016 16:01:03 +0800
