=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,10 @@
 include /usr/share/dpkg/architecture.mk
 
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with gir,systemd,autoreconf,ppp
+	dh $@ --with gir,systemd,autoreconf,ppp --parallel
 
 autoreconf:
 	gtkdocize --copy
@@ -43,31 +44,34 @@
 		--enable-introspection \
 		--enable-gtk-doc \
 		--enable-concheck \
-		--enable-teamdctl \
-		--enable-bluez5-dun \
-		--with-selinux=yes \
-		--with-libaudit=yes
+		--enable-teamdctl=no \
+		--enable-vala \
+		--with-tests \
+		--enable-bluez5-dun
 
 override_dh_install:
+	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install -X.la --list-missing
 	install -m 755 debian/network-manager-dispatcher.script \
 		debian/network-manager/etc/NetworkManager/dispatcher.d/01ifupdown
 	install -m 755 debian/ifblacklist_migrate.sh \
 		debian/network-manager/usr/lib/NetworkManager
+	# copy dnsmasq configuration
+	mkdir -p debian/network-manager/etc/dnsmasq.d
+	cp debian/network-manager.dnsmasq debian/network-manager/etc/dnsmasq.d/network-manager
+
+	# copy powersave configuration
+	mkdir -p debian/network-manager/etc/NetworkManager/conf.d
+	cp debian/default-wifi-powersave-on.conf debian/network-manager/etc/NetworkManager/conf.d/
 
 override_dh_installinit:
-	dh_installinit -pnetwork-manager --restart-after-upgrade
+	dh_installinit --noscripts
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='network-manager-dbg (<< 1.1.91-2~)'
-
-override_dh_systemd_enable:
-	dh_systemd_enable -pnetwork-manager NetworkManager-dispatcher.service
-	dh_systemd_enable -pnetwork-manager --no-enable NetworkManager-wait-online.service
-	dh_systemd_enable -pnetwork-manager NetworkManager.service
 
 override_dh_systemd_start:
 	dh_link lib/systemd/system/NetworkManager.service \
