=== debian/tests/control ===
# needs to be fixed to not keep eth0 down on failure
#Tests: dnsmasq
#Depends: python3, python3-dbus, network-manager
#Restrictions: needs-root

Tests: wpa-dhclient
Depends: python3, hostapd, dnsmasq-base, wpasupplicant, isc-dhcp-client, iw
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: nm
Depends: python3, gir1.2-networkmanager-1.0, network-manager, hostapd, iw, python3-dbusmock
Restrictions: needs-root isolation-machine skippable

Tests: killswitches-no-urfkill
Depends: network-manager, build-essential, linux-headers-generic, rfkill
Restrictions: needs-root allow-stderr isolation-machine skippable

Tests: urfkill-integration
Depends: network-manager, build-essential, linux-headers-generic, rfkill, urfkill
Restrictions: needs-root allow-stderr isolation-machine skippable
