## network-manager 1.4.4

=== debian/changelog ===
network-manager (1.4.4-1ubuntu3.2) zesty; urgency=medium

  * debian/network-manager.postinst: drop in an empty override file for
    NetworkManager to manage all devices for upgrade from any version, as long
    as there is no netplan configuration yet. (LP: #1676547)

 -- Brian Murray <brian@ubuntu.com>  Fri, 08 Sep 2017 11:29:32 -0700

network-manager (1.4.4-1ubuntu3.1) zesty; urgency=medium

  * The fix for LP #1569649 did not re-enable NetworkManager-wait-online on
    systems where it had been disabled in the packaging.  Include a one-time
    postinst fixup to correct this.  LP: #1690992.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 May 2017 21:35:15 -0700

network-manager (1.4.4-1ubuntu3) zesty; urgency=medium

  [ Rico Tzschichholz ]
  * Install usr/share/vala/vapi/libnm-glib.* again (LP: #1650972)

  [ Iain Lane ]
  * debian/patches/nm-manager-Use-g_dbus_message_new_method_error_liter.patch:
    Take patch from upstream bug #780444 by Rico Tzschichholz to fix FTBFS
    with new GLib.
  * debian/rules: Use dh_install --fail-missing

 -- Iain Lane <iain.lane@canonical.com>  Thu, 23 Mar 2017 12:40:01 +0000

network-manager (1.4.4-1ubuntu2) zesty; urgency=medium

  * Cherry-pick back 98974a88 and 47c16e59 (network-manager switching from
    dnsmasq to resolved) because the bug in resolved's resolution of CNAME
    records has been fixed in systemd 232-17ubuntu1.  (LP: #1647031)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 16 Feb 2017 17:34:15 -0500

network-manager (1.4.4-1ubuntu1) zesty; urgency=medium

  * Rebase to upstream 1.4.4 release, base on Debian 1.4.4-1 (LP: #1647283)
  * Refresh patches, dropping ones that are included upstream:
    - manager-fix-state-transition-on-resuming-from-sleep.patch
    - wifi-notify-the-AccessPoint-change-after-an-AP-is-removed.patch
  * Updated patch:
    - Ignore-p2p0-wifi-devices-from-android.patch:
      LOGD_HW is now LOGD_PLATFORM

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 16 Feb 2017 18:35:11 +0800

network-manager (1.4.2-3ubuntu3) zesty; urgency=medium

  * debian/tests/network_test_base.py: handle iw 4.9 which may qualify the
    regulatory domain information with 'global' in some cases, depending on
    the test environment.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 07 Feb 2017 11:25:10 -0500

network-manager (1.4.2-3ubuntu2) zesty; urgency=medium

  * Revert 98974a88 and 47c16e59 (network-manager switching from dnsmasq
    to resolved) because of bugs in resolved's resolution of CNAME
    records.  (LP: #1647031)

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 05 Jan 2017 15:26:55 -0500

network-manager (1.4.2-3ubuntu1) zesty; urgency=medium

  * Minor merge with Debian (LP: #1645698). changes since last merge:
  - Add resolved DNS plugin (backported from upstream master).
  - Disable resolvconf support because it is broken with DNS plugins other
    than "dnsmasq".
  - Re-drop dnsmasq in zesty, in favor of systemd-resolved.
  - debian/tests/nm: Relax asserting the client wifi's MAC address

 -- Aron Xu <happyaron@ubuntu.com>  Mon, 19 Dec 2016 21:31:44 +0800

network-manager (1.4.2-3) unstable; urgency=medium

  * Notify the AccessPoint change after an AP is removed.
    Patch cherry-picked from upstream Git.
  * Fix state transition on resuming from sleep so we don't end up with
    unmanaged devices.
    Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Nov 2016 12:53:50 +0100

network-manager (1.4.2-2ubuntu4) zesty; urgency=medium

  [ Martin Pitt ]
  * Add resolved DNS plugin (backported from upstream master).
  * Disable resolvconf support.
    This is broken with DNS plugins other than "dnsmasq" -- it still writes
    127.0.1.1 into resolvconf as a nameserver, but this does not exist any more and
    will also shadow resolved's stub server on 127.0.0.53.
    This ought to be fixed more properly in the future.

  [ Steve Langasek ]
  * Re-drop dnsmasq in zesty, in favor of systemd-resolved.
    This unifies DNS lookups between Ubuntu desktop and server.
    But don't Recommend libnss-resolve, because the local resolver + libnss_dns.so
    should suffice for all uses and the resolved nss module is unnecessary added
    complexity.
    We need to specify "dns=systemd-resolved" as for the time being our
    /etc/resolv.conf points to resolvconf's generated file instead of
    systemd-resolved's, so the auto-detection does not work. Do that in a
    separate conf.d file in /usr to avoid unnecessary conffile prompts in the
    future. The user can still override it in /etc. (LP: #1638836)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Dec 2016 09:36:02 +0100

network-manager (1.4.2-2ubuntu3) zesty; urgency=medium

  * Revert changes from 1.4.2-2ubuntu2 (only ever was in -proposed), still
    premature.
  * debian/tests/nm: Relax asserting the client wifi's MAC address

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 01 Dec 2016 17:05:43 +0100

network-manager (1.4.2-2ubuntu1) zesty; urgency=medium

  * Resynchronize with Debian, remaining changes:
   - debian/control:
    - Build-Depends on valac and dbus-test-runner
    - Reshuffle Depends for network-manager due to main
      inclusion requirements, and add Breaks for old versions of plugins.
    - network-manager Conflicts with connman.
    - update network-manager Description since we don't ship with team
      support yet, and dnsmasq-base isn't optional.
   - debian/ifblacklist_migrate.sh: update to better handle interfaces stanza.
   - debian/libnm*-dev.install: ship vala bindings.
   - debian/NetworkManager.conf: enable dnsmasq plugin as a local DNS cache
   - debian/network-manager.dnsmasq: enable bind-interfaces for dnsmasq config.
   - debian/network-manager.install: ship Apport hook and examples.
   - debian/network-manager.links: link apport hook to the right directory.
   - debian/network-manager.postinst: Don't need to migrate from sysvinit,
     just keep removing the sysvinit script symlinks.

