=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Ubuntu Core Dev Team <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-systemd (>= 1.14),
+Build-Depends: debhelper (>= 10),
                dh-autoreconf,
                pkg-config,
                intltool,
@@ -19,7 +18,8 @@
                ppp-dev (>= 2.4.7-1+1),
                libpolkit-gobject-1-dev,
                libpolkit-agent-1-dev (>= 0.97),
-               libgnutls28-dev,
+               libselinux1-dev,
+               libgnutls28-dev (>= 2.12),
                libgcrypt20-dev,
                uuid-dev,
                systemd (>= 185),
@@ -38,12 +38,12 @@
                libreadline-dev,
                libnewt-dev (>= 0.52.15),
                libbluetooth-dev (>= 5),
+               valac (>= 0.17.1.24),
+               dbus-test-runner,
                dbus <!nocheck>,
                python-gi <!nocheck>,
-               valac (>= 0.17.1.24),
-               dbus-test-runner,
                python-dbus <!nocheck>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
 XS-Testsuite: autopkgtest
@@ -61,7 +61,6 @@
          isc-dhcp-client (>= 4.3.1-5ubuntu1),
          libpam-systemd,
          policykit-1,
-         dnsmasq-base,
 Recommends: ppp (>= 2.4.6),
             iptables,
             modemmanager,
