=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with gir,systemd,autoreconf,ppp --parallel
+	dh $@ --with gir,ppp --parallel
 
 autoreconf:
 	gtkdocize --copy
@@ -21,7 +21,7 @@
 		--libexecdir=/usr/lib/NetworkManager \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
-		--with-resolvconf=/sbin/resolvconf \
+		--with-resolvconf=no \
 		--with-dhclient=/sbin/dhclient \
 		--with-iptables=/sbin/iptables \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
@@ -48,10 +48,12 @@
 		--enable-vala \
 		--with-tests \
 		--enable-bluez5-dun
+		--with-selinux=yes \
+		--with-libaudit=yes
 
 override_dh_install:
 	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
-	dh_install -X.la --list-missing
+	dh_install -X.la --fail-missing
 	install -m 755 debian/network-manager-dispatcher.script \
 		debian/network-manager/etc/NetworkManager/dispatcher.d/01ifupdown
 	install -m 755 debian/ifblacklist_migrate.sh \
